<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>netcoreapp3.1</TargetFramework>
    <DebugType>portable</DebugType>
    <AssemblyName>maidennail</AssemblyName>
    <OutputType>Exe</OutputType>
    <EnableDefaultContentItems>false</EnableDefaultContentItems>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Microsoft.AspNetCore.App" Version="2.1.*" />
    <PackageReference Include="Giraffe" Version="3.4.*" />
    <PackageReference Include="MongoDB.Driver" Version="2.10.4" />
    <PackageReference Include="TaskBuilder.fs" Version="2.1.*" />
  </ItemGroup>

  <ItemGroup>
    <Compile Include="ideomatic.fs" />
    <Compile Include="Models.fs" />
    <Compile Include="Incident.fs" />
    <Compile Include="IncidentInMemory.fs" />
    <Compile Include="IncidentMongo.fs" />
    <Compile Include="IncidentHttp.fs" />
    <Compile Include="HttpHandlers.fs" />
    <Compile Include="Program.fs" />
  </ItemGroup>

  <ItemGroup>
    <None Include="web.config" CopyToOutputDirectory="PreserveNewest" />
  </ItemGroup>

</Project>